org.apache.coyote

## Class UpgradeToken

- java.lang.Object
- - org.apache.coyote.UpgradeToken

-     public final class UpgradeToken
      extends Object

  Token used during the upgrade process.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpgradeToken(HttpUpgradeHandler httpUpgradeHandler, ContextBind contextBind, InstanceManager instanceManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextBind` | `getContextBind()`
    `HttpUpgradeHandler` | `getHttpUpgradeHandler()`
    `InstanceManager` | `getInstanceManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpgradeToken

          public UpgradeToken(HttpUpgradeHandler httpUpgradeHandler,
                      ContextBind contextBind,
                      InstanceManager instanceManager)

  - ### Method Detail

    - #### getContextBind

          public final ContextBind getContextBind()

    - #### getHttpUpgradeHandler

          public final HttpUpgradeHandler getHttpUpgradeHandler()

    - #### getInstanceManager

          public final InstanceManager getInstanceManager()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.